Subject: bug#1183: 23.0.60; ediff-buffers is broken

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Oct 2008 23:15:45 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Thu, 16 Oct 2008 13:45:21 -0700
> 
> > If so, this is expected:
> 
> Well it certainly isn't expected in Emacs 20, 21, or 22, where ediff-buffers
> works perfectly for these two files. Why this change for Emacs 23? What's the
> gain?

Sorry, you are right: Emacs 22 also uses --binary, but doesn't expose
this problem.  So I guess something else is at work here.  I'll look
closer when I have time.

> And how to change the buffers (e.g. line endings) so ediff-buffers will compare
> them correctly?

"C-x RET f unix RET C-x C-s".